LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 11-03-2014, 02:22 PM   #1
d4n4mp
LQ Newbie
 
Registered: Nov 2014
Posts: 2

Rep: Reputation: Disabled
Question Compiling Old Kernel with Old GCC


Hello guys, I'm a newbie in Linux but with a BIG problem in my company.

I'm having problems to make Linux find the multiserial board, it's very Old and didn't has support, it was discontinued. I just have the drivers for a specific linux kernel (2.6.14 and 2.6.9).

I downloaded both to test the drivers, but they didn't accept compile in GCC 4.4.7. I heard that GCC 2.95 can compile any kernel, and THIS is my problem. I just can't install this GCC 2.95, I spent two whole days trying.

Someone have any ideia in how I can do it??

My actual release is CentOS 6.0 with a default kernel 2.6.32-71.e16.i686

Thanks!

Last edited by d4n4mp; 11-03-2014 at 02:34 PM.
 
Old 11-03-2014, 02:55 PM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,818

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
I hope this is not an outward facing machine . CentOS 6.0 is 3 years out of date and missing 3 YEARS of security updates

also
you will likley find that downloading random rpm's is the FASTEST way to royally "bleep"-up your system.

when centos 6.1 came out the 6.0 archive moved to the historical archive " The Vault"
NONE of the repos that were on the 6.0 dvd will work
you need to manually edit them to point to the historical archive
Warning:
THESE ARE 3YEARS OUT OF DATE !!!!
and are not supported and have not been supported !!!


http://vault.centos.org/
http://vault.centos.org/6.0/

the VERY LAST updates cent6.0 hade
http://vault.centos.org/6.0/updates/


install the gcc development group FROM THIS REPO
and install the kernel and source FROM THERE

this will install gcc and ALL the extra it NEEDS
Code:
su -
yum groupinstall "Development Tools"
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
compiling linux kernel 2.4 using gcc-4.1 isalmbio Linux - Kernel 4 06-18-2007 02:29 PM
compiling linux kernel 2.4 using gcc-4.1 isalmbio Debian 1 06-17-2007 02:36 PM
Gcc version for compiling kernel 2.6.18 TemplaraPheonix Linux - Kernel 3 10-02-2006 07:20 PM
Kernel compiling: gcc-3.3 is 586, should be gcc-3.3 386 Erik Plaggenmar Linux - Software 0 10-01-2004 12:38 PM
gcc 3.3.2 segfaults when compiling 2.4.23 kernel Azmeen Slackware 5 11-29-2003 08:53 PM


All times are GMT -5. The time now is 10:54 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration